﻿using System.Collections.ObjectModel;

namespace WpfTestingSample.Model
{
    public class DataItem
    {
        public string ItemName { get; set; }
        public int ItemType { get; set; }
        public int? ItemSubType { get; set; }
        public int? Value { get; set; }
    }

    public class DataItemDetails1 : ObservableCollection<DataItem>
    {
        public DataItemDetails1()
        {
            PopulateCollection();
        }

        private void PopulateCollection()
        {
            Clear();
            Add(new DataItem { ItemName = "Testitem01", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem02", ItemType = 2, ItemSubType = 1 });
            Add(new DataItem { ItemName = "Testitem03", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem04", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem05", ItemType = 2, ItemSubType = 2 });
            Add(new DataItem { ItemName = "Testitem06", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem07", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem08", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem09", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem10", ItemType = 1 });
        }
    }

    public class DataItemDetails2 : ObservableCollection<DataItem>
    {
        public DataItemDetails2()
        {
            PopulateCollection();
        }

        private void PopulateCollection()
        {
            Clear();
            Add(new DataItem { ItemName = "Testitem11", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem12", ItemType = 2, ItemSubType = 2 });
            Add(new DataItem { ItemName = "Testitem13", ItemType = 2, ItemSubType = 2 });
            Add(new DataItem { ItemName = "Testitem19", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem20", ItemType = 1 });
        }
    }
}
