﻿using System.Windows;
using Syncfusion.UI.Xaml.Grid;
using WpfTestingSample.ViewModel;

namespace WpfTestingSample
{
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            SampleDataGrid.AutoGeneratingColumn += SampleDataGrid_AutoGeneratingColumn;
        }

        private void SampleDataGrid_AutoGeneratingColumn(object sender, AutoGeneratingColumnArgs e)
        {
            if (e.Column.MappingName == "ItemTypex")
            {
                e.Cancel = true;
            }
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            var vm = (SampleViewModel) DataContext;
            vm.ReloadData();
        }
    }
}
